package com.safeway.kafka.endpoint;

import com.safeway.kafka.producer.KafkaProducer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/kafka")
class KafkaController {

  private final KafkaProducer producer;

  @Autowired
  KafkaController(KafkaProducer producer) {
    this.producer = producer;
  }

  @PostMapping(value = "/publish")
  public String sendMessageToKafkaTopic(@RequestParam("message") String message) {
    this.producer.sendMessage(message);
    return "message published successfully";
  }

}
