package com.safeway.kafka.producer;

import com.google.gson.Gson;
import com.safeway.kafka.entity.Order;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;

@Service
public class KafkaProducer {

  private static final Logger logger = LoggerFactory.getLogger(KafkaProducer.class);

  @Autowired
  private KafkaTemplate<String, String> kafkaTemplate;

  public void sendMessage(String message) {
    logger.info(String.format("#### -> Producing message -> %s", message));
    this.kafkaTemplate.send("order", message);
  }

  public void sendMessage(String topicName, Order order) {
    logger.info(String.format("#### -> Producing message -> %s", order));
    String payload = new Gson().toJson(order);
    this.kafkaTemplate.send(topicName, payload);
  }

}
